#! /usr/bin/python

# btsutils -- Python module to interact with debbugs servers.
# Copyright (C) 2007  Gustavo R. Montesino
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

import sys
from btsutils import debbugs

def usage():
	print "Usage: btsutils <bugnumber>"

if (len(sys.argv) != 2):
	usage()
else:
	try:
		bug = debbugs.get(sys.argv[1])

		print "Bug: %s" % bug.getBug()
		print "Package: %s" % bug.getPackage()
		print "Summary: %s" % bug.getSummary()
		print "Severity: %s" % bug.getSeverity()
		print "Submitter: %s" % bug.getSubmitter()
		print "Tags: %s" % bug.getTags()
	except:
		usage()
