# btsutils -- Python module to interact with debbugs servers.
# Copyright (C) 2007  Gustavo R. Montesino
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

class Bug:
	"""A single debbugs bug report"""

	def __init__(self, bug=None, package=None, summary=None, severity=None, 
		submitter=None, tags=None):
		"""Creates a bug instance

		Creates a bug instance with the information specified as
		keyword arguments."""

		self.setBug(bug)
		self.setPackage(package)
		self.setSummary(summary)
		self.setSeverity(severity)
		self.setSubmitter(submitter)
		self.setTags(tags)
	
	def getBug(self):
		return self.bug
	
	def setBug(self, bug):
		#FIXME: Validate this
		self.bug = bug
	
	def getPackage(self):
		return self.package

	def setPackage(self, package):
		self.package = package
	
	def getSummary(self):
		return self.summary;
	
	def setSummary(self, summary):
		self.summary = summary
	
	def getSeverity(self):
		return self.severity
	
	def setSeverity(self, severity):
		self.severity = severity
	
	def getSubmitter(self):
		return self.submitter
	
	def setSubmitter(self, submitter):
		self.submitter = submitter
	
	def getTags(self):
		return self.tags
	
	def setTags(self, tags):
		self.tags = tags;
