# btsutils -- Python module to interact with debbugs servers.
# Copyright (C) 2007  Gustavo R. Montesino
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

import soap
import html

def get(bugnumber):
	"""Query the debbugs server for a given bug
	
	Return a Bug instance with the bug data.
	"""
	
	try:
		return soap.get(bugnumber)
	except:
		return html.get(bugnumber) 

def query(btsquery):
	"""Query the debbugs server with the given query

	Return a list of Bug instances with the bugs which match the
	query string."""

	return html.query(btsquery)
